# RowsCounter | tablefilter v0.4.16 API Document

    import {RowsCounter} from 'tablefilter/src/modules/rowsCounter.js'

public class | source

# RowsCounter

#### Extends:

Feature → RowsCounter

Rows counter UI component

## Constructor Summary

Public Constructor
public | constructor (tf: TableFilter) Creates an instance of RowsCounter |

## Member Summary

Public Members
public | cssClass : String Css class for container element |
public | fromToTextSeparator : String Separator symbol appearing between the first and last visible rows of current page when paging is enabled. |
public | initialized : boolean |
public | onAfterRefreshCounter : Function Callback fired after the counter is refreshed |
public | onBeforeRefreshCounter : Function Callback fired before the counter is refreshed |
public | overText : String Separator symbol appearing between the first and last visible rows of current page and the total number of filterable rows when paging is enabled. |
public | targetId : String ID of custom container element |
public | text : String Text preceding the total number of rows |

## Method Summary

Public Methods
public | destroy () Remove feature |
public | init () Initializes RowsCounter instance |
public | refresh (p: Number) Refreshes the rows counter |

## Inherited Summary

From class Feature
public | config : Object TableFilter configuration |
public | emitter : Emitter TableFilter emitter instance |
public | enabled : Boolean TableFilter feature setting |
public | feature : String Feature name |
public | initialized : Boolean Field indicating whether Feature is initialized |
public | tf : TableFilter TableFilter instance |
public | destroy () Destroy the feature |
public | disable () Disable the feature |
public | enable () Enable the feature |
public | init () Initialize the feature |
public | isEnabled (): Boolean Indicate whether the feature is enabled or not |
public | reset () Reset the feature after being disabled |

## Public Constructors

### public constructor(tf: TableFilter) source

Creates an instance of RowsCounter

#### Override:

Feature#constructor

#### Params:

Name | Type | Attribute | Description
tf | TableFilter |  | TableFilter instance

## Public Members

### public cssClass: String source

Css class for container element

### public fromToTextSeparator: String source

Separator symbol appearing between the first and last visible rows of current page when paging is enabled. ie: Rows: 31-40 / 70

### public initialized: boolean source

#### Override:

Feature#initialized

### public onAfterRefreshCounter: Function source

Callback fired after the counter is refreshed

### public onBeforeRefreshCounter: Function source

Callback fired before the counter is refreshed

### public overText: String source

Separator symbol appearing between the first and last visible rows of current page and the total number of filterable rows when paging is enabled. ie: Rows: 31-40 / 70

### public targetId: String source

ID of custom container element

### public text: String source

Text preceding the total number of rows

## Public Methods

### public destroy() source

Remove feature

#### Override:

Feature#destroy

### public init() source

Initializes RowsCounter instance

#### Override:

Feature#init

### public refresh(p: Number) source

Refreshes the rows counter

#### Params:

Name | Type | Attribute | Description
p | Number |  | Optional parameter the total number of rows to display